package com.fkzy.warn.common.util.treeUtil;

import java.io.Serializable;
import java.util.List;

/**
 * @author zhangjing
 * @date 2024/04/25 17:13
 * @description
 */
public interface INode<T> extends Serializable {
    Integer getId();

    Integer getParentId();

    List<T> getChildren();

    default Boolean getHasChildren() {
        return false;
    }
}

